package com.muyu.kvt.permissions;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 权限表 Permissions
 *
 * @author LeYang
 * on 2024/5/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class PermissionsUser {
       /*
       主键
        */
    private Integer id;
       /*
       用户id
        */
     private Long userId;
       /*
       数据源id
        */
     private Integer kvtId;
       /*
       表名
        */
     private String tbaleName;
       /*
       部门
        */
     private Long deptId;




}
