package com.muyu.model;

/**
 * 一页 DataSetModel
 *
 * @author LeYang
 * on 2024/5/8
 */
public class DataSetModel {
    //[[DataModel,DataModel,DataModel],[DataModel,DataModel,DataModel]
    private  RecordModel[] recordModelArr = null;

    //创建一个新的RecordModel数组
    private DataSetModel(int recordModelLength){
        recordModelArr=new RecordModel[recordModelLength];
    }

    private DataSetModel(RecordModel[] recordModelArr){
        recordModelArr = recordModelArr;
    }

    public static DataSetModel build(int recordModelLength){
        return new DataSetModel(recordModelLength);
    }

    public static DataSetModel build(RecordModel[] recordModelArr){
        return new DataSetModel(recordModelArr);
    }
}
