package com.muyu.model;

/**
 * 记录模型 RecordModel
 *
 * @author LeYang
 * on 2024/5/8
 */
public class RecordModel {
    //[DataModel,DataModel,DataModel]

    private RecordModel(int dataModelLength){
        dataModelArr = new DataModel[dataModelLength];
    }

    private RecordModel(DataModel[] dataModlArr){
        dataModlArr =dataModlArr;
    }
    private  DataModel[] dataModelArr = null;

    public static  RecordModel build(int dataModelLength){
        return  new RecordModel(dataModelLength);
    }

    public static RecordModel build(DataModel[] dataModelArr){
        return new RecordModel(dataModelArr);
    }
}
