package com.muyu.engine.service;

import java.io.IOException;
import java.util.List;
import com.muyu.engine.domain.RuleEngine;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.engine.domain.RuleEngines;

/**
 * 规则引擎Service接口
 *
 * @author muyu
 * @date 2024-05-01
 */
public interface RuleEngineService extends IService<RuleEngine> {
    /**
     * 查询规则引擎列表
     *
     * @param ruleEngine 规则引擎
     * @return 规则引擎集合
     */
    public List<RuleEngine> list(RuleEngine ruleEngine);

    String code(RuleEngine ruleEngine) throws Exception;


    void add(RuleEngine saveBuild) throws Exception;

    String load(RuleEngine ruleEngine);

    String writeCodeAdd(RuleEngines ruleEngine) throws IOException;

    void updateRuleEngineVersionIsActivate(RuleEngine ruleEngine);

    void updateRuleEngineVersionStates(RuleEngine ruleEngine);
}
