package com.muyu.model;

import lombok.Data;

/**
 * 数据模型 DataModel
 *
 * @author LeYang
 * on 2024/5/8
 */
@Data
public class DataModel {


    /**
     * 数据键
     */
    private String key;

    /**
     * 数据值
     */
    private Object value;

    /**
     * 源标准-枚举 数据库的标准
     */
    private String sourceType;

    /**
     * 处理标准 枚举
     */

    private String processType;

    /**
     * 处理类型
     */
    private Class<?> processClass;

}
