package com.muyu.engine;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * RuleEngineApplication
 *
 * @author LeYang
 * on 2024/5/1
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class RuleEngineApplication {
    public static void main(String[] args) {

        SpringApplication.run(RuleEngineApplication.class);

    }



}
