package com.muyu.engine.service;

import com.muyu.common.core.domain.Result;
import com.muyu.engine.domain.RuleEngine;
import com.muyu.engine.domain.rule_engine_version.RuleEngineList;
import com.muyu.engine.domain.rule_engine_version.RuleEngineVersion;

import java.util.List;

/**
 * 规则引擎版本业务层 RuleEngineVersionService
 *
 * @author LeYang
 * on 2024/5/6
 */
public interface RuleEngineVersionService {

    List<RuleEngineVersion> list(RuleEngineVersion ruleEngineVersion);

    RuleEngineList listResult(Integer id);


    void RuleEngineVersionAdd(RuleEngineVersion ruleEngineVersion);

    void updataEngineVersionStatus(RuleEngineVersion ruleEngineVersion);

}
